E-MailRelay

Classes | Namespaces | Functions
glogstream.h File Reference
`#include "gdef.h"`
`#include <ios>`
Include dependency graph for glogstream.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | G::LogStream
| A non-throwing copyable wrapper for std::ostream, used by G::LogOutput and associated logging macros. More...

## Namespaces
namespace | G
| Low-level classes.

## Functions
LogStream & | G::operator<< (LogStream &s, const std::string &) noexcept
LogStream & | G::operator<< (LogStream &s, const char *) noexcept
LogStream & | G::operator<< (LogStream &s, char) noexcept
LogStream & | G::operator<< (LogStream &s, unsigned char) noexcept
LogStream & | G::operator<< (LogStream &s, int) noexcept
LogStream & | G::operator<< (LogStream &s, unsigned int) noexcept
LogStream & | G::operator<< (LogStream &s, long) noexcept
LogStream & | G::operator<< (LogStream &s, unsigned long) noexcept
LogStream & | G::operator<< (LogStream &s, void *) noexcept
template<typename T >
LogStream & | G::operator<< (LogStream &s, const T &t) noexcept